[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.ReleaseBitmapHandle

Releases the handle in the shared image without freeing the BitmapHandle.

## Declaration

Source position: graphics.pp line 1326

`public function TRasterImage.ReleaseBitmapHandle: HBITMAP;`

## Function result

Value for the handle in the shared image before it is released.

## Description

ReleaseBitmapHandle is a HBITMAP function used to release the handle for the shared image without freeing it. The return value contains the handle value in the shared image when its ReleaseHandle method is called.

Calls BitmapHandleNeeded to ensure that the BitmapHandle and optional MaskHandle are valid for the image type. Calls FreeCanvasContext to free the canvas context when the handle been has changed.